defmodule WhiteBreadConfig do
      use WhiteBread.SuiteConfiguration

      suite name:          "User Registration Features",
            context:       UserRegistrationContext,
            feature_paths: ["features/user_registration.feature"]

      suite name:          "FR-02 User Login Features",
            context:       UserLoginContext,
            feature_paths: ["features/user_login.feature"]

      suite name:          "FR-03 User Logout Features",
            context:       UserLogoutContext,
            feature_paths: ["features/user_logout.feature"]

      suite name:          "FR-04 Password Change Features",
            context:       PasswordChangeContext,
            feature_paths: ["features/password_change.feature"]

      suite name:          "FR-05 User Delete Features",
            context:       UserDeleteContext,
            feature_paths: ["features/user_delete.feature"]

      suite name:          "FR-30 User Profile Features",
            context:       UserProfileContext,
            feature_paths: ["features/user_profile.feature"]

      suite name:          "FR-09 Property Update Features",
            context:        PropertyUpdateContext,
            feature_paths: ["features/property_update.feature"]

      suite name:          "FR-10 Property Delete Features",
            context:        PropertyDeleteContext,
            feature_paths: ["features/property_delete.feature"]

      suite name:          "FR-08 Property Advertisement Creation Features",
            context:       AdvertisementCreationContext,
            feature_paths: ["features/advertisement_creation.feature"]

      suite name:          "FR-07 Property Advertisement List Features",
            context:       AdvertisementListContext,
            feature_paths: ["features/advertisement_list.feature"]

      suite name:          "FR-12 View Own Advertisements",
            context:       MyAdvertisementsContext,
            feature_paths: ["features/my_advertisements.feature"]

      suite name:          "FR-14 Mark Property as Favorite",
            context:       MarkPropertyFavoriteContext,
            feature_paths: ["features/mark_property_favorite.feature"]

      suite name:          "FR-26 Mark Property as not Favorite",
            context:       MarkPropertyNotFavoriteContext,
            feature_paths: ["features/mark_property_not_favorite.feature"]

      suite name:          "FR-15 View List of Favorite Properties",
            context:       FavoriteProperties,
            feature_paths: ["features/favorite_properties.feature"]

      suite name:          "FR-11: Mark Property as Sold or Rented",
            context:       MarkPropertySoldRentedContext,
            feature_paths: ["features/mark_property_sold_rented.feature"]

      suite name:          "FR-18 Display Similar Properties on Listing View",
            context:       SimilarPropertiesContext,
            feature_paths: ["features/similar_properties_view.feature"]

      suite name:          "FR-16: Mark Property as Not Interested",
            context:       NotInterestedPropertiesContext,
            feature_paths: ["features/not_interested_properties.feature"]

      suite name:          "FR-13, FR-19 & FR-20: Property Search and Revisit",
            context:       PropertySearchContext,
            feature_paths: ["features/property_search.feature"]

      suite name:          "FR-21: Dark/Light mode appearance switch",
            context:       DarkModeContext,
            feature_paths: ["features/dark_mode.feature"]

      suite name:          "FR-5.2: Navigation Bar Accessiblity",
            context:       NavigationBarContext,
            feature_paths: ["features/navigation_bar.feature"]

end
