Feature: FR-21: Dark/Light mode appearance switch

  Scenario: Default theme is light
    When I visit the home page
    Then I should see the application in light mode
    And the theme toggle should show the moon icon

  Scenario: Switching to dark mode
    Given I am on the home page
    When I click the theme toggle button
    Then I should see the application in dark mode
    And the theme toggle should show the sun icon
    And the background should be dark
    And the text should be light colored

  Scenario: Dark mode user preference persists across pages
    Given there exists following accounts
      | name     | surname | birth_date | phone_number | email                      | password | confirm_password | is_dark_mode |
      | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         | true        |
    When I navigate to the login page
    And I am logged in
    Then I should see the application in dark mode
    When I navigate to the profile page
    Then I should see the application in dark mode
    When I navigate to the home page
    Then I should see the application in dark mode

  Scenario: Light mode user preference persists across pages
    Given there exists following accounts
      | name     | surname | birth_date | phone_number | email                      | password | confirm_password | is_dark_mode |
      | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         | false        |
    When I navigate to the login page
    And I am logged in
    Then I should see the application in light mode
    When I navigate to the profile page
    Then I should see the application in light mode
    When I navigate to the home page
    Then I should see the application in light mode

  Scenario: Theme preference persists after refresh
    Given I have enabled dark mode
    When I refresh the page
    Then I should see the application in dark mode

  Scenario: Dark mode affects all UI elements
    Given there exists following accounts
      | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
      | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
    And the following properties exist
      | title                | description                      | type | property_type | state     | location | room_count | area  | floor | floor_count | price  |
      | Really cool property | Selling this really really house | sell | house         | available | London   | 3          | 100.0 | 2     | 5           | 500000 |
    And I have enabled dark mode
    When I visit the property details page
    Then I should see dark mode colors for:
      | Element            | Color    |
      | Background        | #0f172a  |
      | Text             | #e2e8f0  |
      | Cards            | #1e293b  |
      | Buttons          | #60a5fa  |