Feature: Property Interest Management

 Scenario: User can mark property as not interested
   Given there exists following accounts
     | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
     | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |  
     | Property | Owner   | 2000-01-01 | 111          | property.owner@gmail.com   | password | password         |
   And the following properties exist
     | title                | description                      | type | property_type | state     | location | room_count | area  | floor | floor_count | price  |
     | Really cool property | Selling this really really house | sell | house         | available | London   | 3          | 100.0 | 2     | 5           | 500000 |
   And I am logged in as random user
   When I visit the home page
   And I click interest menu for "Really cool property"
   And I click "Not interested" option
   Then Property should move to bottom of the list
   And I should see success message for marking as not interested
   And Property should be added to database

 Scenario: User can mark not interested property as interested again
   Given there exists following accounts
     | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
     | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
     | Property | Owner   | 2000-01-01 | 111          | property.owner@gmail.com   | password | password         |
   And the following properties exist
     | title                | description                      | type | property_type | state     | location | room_count | area  | floor | floor_count | price  |
     | Really cool property | Selling this really really house | sell | house         | available | London   | 3          | 100.0 | 2     | 5           | 500000 |
   And I am logged in as random user
   And the property "Really cool property" is marked as not interested
   When I visit the home page
   And I click interest menu for "Really cool property"
   And I click "Interested" option
   Then Property should move to its original position
   And I should see success message for marking as interested
   And Property should be deleted from database

 Scenario: User cannot mark own property as not interested
   Given there exists following accounts
     | name     | surname | birth_date | phone_number | email                    | password | confirm_password |
     | Property | Owner   | 2000-01-01 | 111          | property.owner@gmail.com | password | password         |
   And the following properties exist
     | title                | description                      | type | property_type | state     | location | room_count | area  | floor | floor_count | price  |
     | Really cool property | Selling this really really house | sell | house         | available | London   | 3          | 100.0 | 2     | 5           | 500000 |
   And I am logged in as owner
   When I visit the home page
   Then I should not see interest menu for "Really cool property"

 Scenario: Unauthenticated user cannot mark property as not interested
   Given there exists following accounts
     | name     | surname | birth_date | phone_number | email                    | password | confirm_password |
     | Property | Owner   | 2000-01-01 | 111          | property.owner@gmail.com | password | password         |
   And the following properties exist
     | title                | description                      | type | property_type | state     | location | room_count | area  | floor | floor_count | price  |
     | Really cool property | Selling this really really house | sell | house         | available | London   | 3          | 100.0 | 2     | 5           | 500000 |
   When I visit the home page
   Then I should not see interest menu for "Really cool property"