Feature: Property Delete

  Scenario: Owner can delete their property
    Given there exists following accounts
      | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
      | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
    And the following properties exist
      | title                  | description                            | type | property_type | state     | location | room_count | area  | floor | floor_count | price   |
      | Really cool property   | Selling this really really house       | sell | house         | available | London   | 3          | 100.0 | 2     | 5           | 500000  |
    And I am logged in
    And I navigate to my property's details page
    When I click the delete button
    And I confirm the deletion
    Then I should see a successful deletion message
    And I should be redirected to my properties page
    And I should not see the deleted property in the listings

  Scenario: A random user cannot delete a property
    Given there exists following accounts
      | name     | surname | birth_date  | phone_number | email                     | password | confirm_password |
      | Existing | Account | 2000-01-01  | 000         | existing.account@gmail.com | password | password         |
      | Random   | Account | 2000-01-01  | 000         | random.account@gmail.com   | password | password         |
    And the following properties exist
      | title                | description                      | type | property_type | state     | location | room_count | area   | floor | floor_count | price   |
      | Really cool property | Selling this really really house | sell | house        | available | London   | 3          | 100.0  | 2     | 5           | 500000  |
    And I am logged in as a random user who does not own the advertisement
    And I navigate to the property's details page
    Then I should not see a delete button

  Scenario: Unauthenticated user cannot delete a property
    Given there exists following accounts
      | name     | surname | birth_date  | phone_number | email                     | password | confirm_password |
      | Existing | Account | 2000-01-01  | 000         | existing.account@gmail.com | password | password         |
    And the following properties exist
      | title                | description                      | type | property_type | state     | location | room_count | area   | floor | floor_count | price   |
      | Really cool property | Selling this really really house | sell | house        | available | London   | 3          | 100.0  | 2     | 5           | 500000  |
    And I am not logged in
    When I navigate to the property's details page
    Then I should not see a delete button