Feature: FR-18 Display Similar Properties on Listing View

    Scenario: User should see empty message when no other properties exist
        Given there exists following accounts
              | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
              | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
        And the following properties exist
            | title                | description                      | type | property_type | state     | location | room_count | area  | floor | floor_count | price  |
            | Really cool property | Selling this really really house | sell | house         | available | London   | 3          | 100.0 | 2     | 5           | 500000 |
        And I go to the property page for "Really cool property"
        Then I should see a message that there are no similar properties

    Scenario: User should not see a similar property that is not in available state
        Given there exists following accounts
              | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
              | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
        And the following properties exist
            | title                  | description                      | type | property_type | state       | location | room_count | area  | floor | floor_count | price  |
            | Really cool property   | Selling this really really house | sell | house         | available   | London   | 3          | 100.0 | 2     | 5           | 500000 |
            | Really cool property 2 | Selling this really really house | sell | house         | reserved    | London   | 3          | 100.0 | 2     | 5           | 500000 |
            | Really cool property 3 | Selling this really really house | sell | house         | unavailable | London   | 3          | 100.0 | 2     | 5           | 500000 |
        And I go to the property page for "Really cool property"
        Then I should see a message that there are no similar properties

    Scenario: User should see similar properties
        Given there exists following accounts
              | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
              | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
        And the following properties exist
            | title                  | description                      | type | property_type | state       | location | room_count | area  | floor | floor_count | price  |
            | Really cool property   | Selling this really really house | sell | house         | available | London   | 3          | 100.0 | 2     | 5           | 500000 |
            | Really cool property 2 | Selling this really really house | sell | house         | available | London   | 3          | 100.0 | 2     | 5           | 500000 |
            | Really cool property 3 | Selling this really really house | sell | house         | available | London   | 3          | 100.0 | 2     | 5           | 500000 |
        And I go to the property page for "Really cool property"
        Then I should see the all similar properties

    Scenario: User should not see more than 5 similar properties
        Given there exists following accounts
              | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
              | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
        And the following properties exist
            | title                  | description                      | type | property_type | state     | location | room_count | area  | floor | floor_count | price  |
            | Really cool property   | Selling this really really house | sell | house         | available | London   | 3          | 100.0 | 2     | 5           | 500000 |
            | Really cool property 2 | Selling this really really house | sell | house         | available | London   | 3          | 100.0 | 2     | 5           | 500000 |
            | Really cool property 3 | Selling this really really house | sell | house         | available | London   | 3          | 100.0 | 2     | 5           | 500000 |
            | Really cool property 4 | Selling this really really house | sell | house         | available | London   | 3          | 100.0 | 2     | 5           | 500000 |
            | Really cool property 5 | Selling this really really house | sell | house         | available | London   | 3          | 100.0 | 2     | 5           | 500000 |
            | Really cool property 6 | Selling this really really house | sell | house         | available | London   | 3          | 100.0 | 2     | 5           | 500000 |
            | Really cool property 7 | Selling this really really house | sell | house         | available | London   | 3          | 100.0 | 2     | 5           | 500000 |
        And I go to the property page for "Really cool property"
        Then I should see only 5 similar properties

    Scenario: User should be redirected to the property page when clicking on a similar property View More button
        Given there exists following accounts
              | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
              | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
        And the following properties exist
            | title                  | description                      | type | property_type | state       | location | room_count | area  | floor | floor_count | price  |
            | Really cool property   | Selling this really really house | sell | house         | available | London   | 3          | 100.0 | 2     | 5           | 500000 |
            | Really cool property 2 | Selling this really really house | sell | house         | available | London   | 3          | 100.0 | 2     | 5           | 500000 |
        And I go to the property page for "Really cool property"
        And I click on View More for "Really cool property 2"
        Then I should be redirected to the property page for "Really cool property 2"
