defmodule PropTrackr.Application do
  # See https://hexdocs.pm/elixir/Application.html
  # for more information on OTP Applications
  @moduledoc false

  use Application

  @impl true
  def start(_type, _args) do
    children = [
      PropTrackrWeb.Telemetry,
      PropTrackr.Repo,
      {DNSCluster, query: Application.get_env(:proptrackr, :dns_cluster_query) || :ignore},
      {Phoenix.PubSub, name: PropTrackr.PubSub},
      # Start the Finch HTTP client for sending emails
      {Finch, name: PropTrackr.Finch},
      # Start a worker by calling: PropTrackr.Worker.start_link(arg)
      # {PropTrackr.Worker, arg},
      # Start to serve requests, typically the last entry
      PropTrackrWeb.Endpoint
    ]

    # See https://hexdocs.pm/elixir/Supervisor.html
    # for other strategies and supported options
    opts = [strategy: :one_for_one, name: PropTrackr.Supervisor]
    Supervisor.start_link(children, opts)
  end

  # Tell Phoenix to update the endpoint configuration
  # whenever the application is updated.
  @impl true
  def config_change(changed, _new, removed) do
    PropTrackrWeb.Endpoint.config_change(changed, removed)
    :ok
  end
end
