defmodule PropTrackr.Properties.Photo do
  use Ecto.Schema
  import Ecto.Changeset

  schema "photos" do
    field :filename, :string
    field :order, :integer
    belongs_to :property, PropTrackr.Properties.Property
    timestamps()
  end
  
  def changeset(photo, attrs) do
    photo
    |> cast(attrs, [:filename, :order, :property_id])
    |> validate_required([:filename, :property_id])
  end
end
