defmodule PropTrackrWeb.MyFavoritesController do
  use PropTrackrWeb, :controller
  import Ecto.Query
  alias PropTrackr.Repo
  alias PropTrackr.Properties.Property
  alias PropTrackr.Favorites.Favorite
  alias PropTrackr.Accounts.User

  def index(conn, _params) do
    user_id = get_session(conn, :user_id)
    if user_id == nil do
      conn
      |> put_flash(:error, "You are not logged in!")
      |> redirect(to: ~p"/login")
    else
      favorites =
        from(f in Favorite,
          join: p in Property,
          on: f.property_id == p.id,
          join: u in User,
          on: p.user_id == u.id,
          where: f.user_id == ^user_id and p.state in [:available, :reserved],
          preload: [property: {p, [:user, :photos]}]
        )
        |> Repo.all()

      render(conn, "index.html", favorites: favorites)
    end
  end

end
