defmodule PropTrackrWeb.MyPropertiesController do
  use PropTrackrWeb, :controller

  import Ecto.Query, only: [from: 2]
  alias PropTrackr.Repo
  alias PropTrackr.Properties.Property

  def index(conn, _params) do
    user_id = get_session(conn, :user_id)
    if user_id == nil do
      conn
      |> put_flash(:error, "You are not logged in!")
      |> redirect(to: ~p"/login")
    else
      properties = Repo.all(
                     from p in Property,
                     where: p.user_id == ^user_id,
                     order_by: [asc: p.inserted_at],
                     preload: [:photos],
                     select: p)
      render conn, "index.html", properties: properties
    end
  end
end
