defmodule PropTrackr.Repo.Migrations.AddFavorites do
  use Ecto.Migration

  def change do
    create table(:favorites) do
      add :user_id, references(:users, on_delete: :delete_all), null: false
      add :property_id, references(:properties, on_delete: :delete_all), null: false

      timestamps()
    end

    create unique_index(:favorites, [:user_id, :property_id])
  end
end
